Bug 58039 - wget corrupts HTML when using -r -k
Summary: wget corrupts HTML when using -r -k
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wget   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-06 22:40 UTC by Christopher Wong
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-06 22:40:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Wong 2002-01-06 22:40:03 UTC
Description of Problem:

I use wget-1.7-3 to recursively download an entire periodical plus   
some of its links to previous issues. Unfortunately, wget seems to   
mangle some HTML when downloading with the -k (convert   
links) option. 

Version-Release number of selected component (if applicable):

1.7-3

How Reproducible:

Every time.

Steps to Reproduce:

Download periodical with the following command (will retrieve 1.5MB of HTML):  
  
wget -k -r -l 2 -X /ftissues/ft0111 -R gif,jpg,jpeg http://www.firstthings.com/menus/ft0112.html  

Actual Results:

Examine www.firstthings.com/ftissues/ft0112/public.html  
  
The following garbled HTML will be seen in the text:  
  
                      up through the end of the Cold War. The ideas of the Puritan   
                      fou"../../ssi-hf/ftcopyright.html"cept as they bear, usually   
                      in indirect ways, on the formation of men such as Franklin   

Expected Results:

That text should  have read:  
  
              up through the end of the Cold War. The ideas of the Puritan  
              founding get short shrift, except as they bear, usually  
              in indirect ways, on the formation of men such as Franklin

Comment 1 Trond Eivind Glomsrxd 2002-01-09 21:10:47 UTC
Problem verified with 1.7-3, works with wget-1.8.1-2


Note You need to log in before you can comment on or make changes to this bug.